# $Revision: 1.19 $, $Date: 2010/07/08 08:38:08 $
Summary:	Library of Python code used by some programs made by Red Hat
Summary(pl.UTF-8):	Biblioteka kodu Pythona używana przez niektóre programy Red Hata
Name:		python-rhpl
Version:	0.216
Release:	4
License:	GPL
Group:		Libraries
# https://fedorahosted.org/releases/r/h/rhpl/ (not yet)
Source0:	rhpl-%{version}.tar.bz2
# Source0-md5:	5bde6574c92d0b3621dd3ce45b668079
Patch0:		%{name}-enc.patch
BuildRequires:	gettext-devel
BuildRequires:	libiw-devel
BuildRequires:	python-devel >= 1:2.5
%pyrequires_eq	python-libs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The rhpl package contains Python code used by some programs made by
Red Hat.

%description -l pl.UTF-8
Pakiet rhpl zawiera kod Pythona używany w niektórych programach
stworzonych przez Red Hata.

%prep
%setup -q -n rhpl-%{version}
%patch0 -p1

# remove deprecated modules
# moved into python-rhpxl
rm -f src/{xserver,videocard,monitor,mouse,guesslcd,xhwstate}.py
# moved into firstboot
rm -f src/firstboot_gui_window.py

sed -i -e 's#gcc#%{__cc}#g' Makefile */Makefile */*/Makefile

%build
%{__make} \
	PYTHON="%{__python}" \
	PYTHONINCLUDE="%{py_incdir}" \
	CC="%{__cc}" \
	RPM_OPT_FLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	PYTHON="%{__python}" \
	PYTHONLIBDIR="%{py_sitedir}" \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang rhpl

%clean
rm -rf $RPM_BUILD_ROOT

%files -f rhpl.lang
%defattr(644,root,root,755)
%doc README
%dir %{py_sitedir}/rhpl
%{py_sitedir}/rhpl/*.egg-info
%{py_sitedir}/rhpl/*.py*
%attr(755,root,root) %{py_sitedir}/rhpl/*.so

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-rhpl.spec,v $
Revision 1.19  2010/07/08 08:38:08  arekm
- release 4

Revision 1.18  2009/03/13 21:54:03  hawk
- release 3

Revision 1.17  2008/10/03 18:00:38  arekm
- release 2

Revision 1.16  2008/09/10 14:52:05  qboosh
- will be on fedorahosted

Revision 1.15  2008/08/27 19:44:02  patrys
- 0.216

Revision 1.14  2007-12-18 12:25:40  ankry
- remove not only explanation...

Revision 1.13  2007-12-18 10:32:42  patrys
- 0.212

Revision 1.12  2007-11-10 20:00:57  megabajt
- sr@Latn -> sr@latin; release 2

Revision 1.11  2007/02/20 17:04:37  arekm
- up to 0.201

Revision 1.10  2007/02/20 16:41:22  arekm
- rel 4

Revision 1.9  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.7  2007/01/02 00:18:37  arekm
- rel 3

Revision 1.6  2006/08/29 20:31:43  glen
- rel 2

Revision 1.5  2006/06/06 17:04:11  glen
- remove deprecated modules, thus making this package x11 independant

Revision 1.4  2006/05/24 22:41:45  glen
- python-xf86config dep moved from anaconda to python-rhpl

Revision 1.3  2005/11/06 16:39:50  patrys
- up to 0.176

Revision 1.2  2005/04/24 14:16:26  qboosh
- pl, cleanups, adjusted descs (as we are not Red Hat)

Revision 1.1  2005/04/23 21:31:21  patrys
- Initial PLD release
